Subject: Re: CCL:error message from CHARMM: too many IM contacts?

From: Hannes Loeffler <HLoeffler|at|lac.chem.nagoya-u.ac.jp>
Date: Mon, 1 Sep 2003 09:40:25 +0900

On Thursday 21 August 2003 05:11, you wrote:
> On Wed, 20 Aug 2003, Hannes Loeffler wrote:
> > what does this error message mean and how can I avoid it?
> >
> >       ***** LEVEL -4 WARNING FROM <NBONDS> *****
> >       ***** GENERATING TOO MANY IM CONTACTS
>
> The message suggests that some of your nonbond and image choices, esp.
> cutoffs, may be requiring too much memory.  It's difficult to tell w/o
> seeing some more of the output.  Some things to try:
>
> [1] reduce CUTIM; it can be the same size as CUTNB (but not smaller)
>
> [2] use a CHARMM executable with a larger atom limit
>
> Another possibility is that the machine type you're using doesn't
> support dynamic expansion of the HEAP data structure; this has been a
> problem on some 64-bit architectures in the past.  I'm not sure of the
> current status of this problem.

Thank, you very much for your suggestions.  Unfortunately the problems still 
remains (CUTIM reduced, large, xxlarge).  The only "solution" I found was to 
set BOMLEV to -5, though I don't know it's implications.  I have no idea 
which output could be more helpful as the output of a failed run looks pretty 
much the same as in a successful run.

The computer system is Linux running on a Pentium IV.  The simulation system 
is just a single ion immersed in 499 TIP3P.

Many thanks for your help,
Hannes.